AppZip
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.wrapper.utils
Class AppZip

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.wrapper.utils.AppZip

    public class AppZip

extends java.lang.Object

Constructor Summary
`AppZip(java.lang.String toZipFolder)`

Method Summary
`void` | `generateFileList(java.io.File node)` Traverse a directory and get all files, and add the file into fileList
`static void` | `main(java.lang.String[] args)`
`static int` | `unzipToDirectory(java.lang.String zipName, java.io.File destinationFolder)`
`int` | `zipIt(java.lang.String zipFile)` Zip it

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppZip

    public AppZip(java.lang.String toZipFolder)

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### zipIt

    public int zipIt(java.lang.String zipFile)
              throws java.io.IOException

  Zip it

  Parameters:
    `zipFile` - output ZIP file location
  Throws:
    `java.io.IOException`

### generateFileList

    public void generateFileList(java.io.File node)

  Traverse a directory and get all files, and add the file into fileList

  Parameters:
    `node` - file or directory

### unzipToDirectory

    public static int unzipToDirectory(java.lang.String zipName,
                                       java.io.File destinationFolder)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD